Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfTextAlignSourceType

    java.lang.Object
      java.lang.Enum<OdfTextAlignSourceType>
          org.odftoolkit.odfdom.dom.type.style.OdfTextAlignSourceType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextAlignSourceType>

    public enum OdfTextAlignSourceType

extends Enum<OdfTextAlignSourceType>

DOM implementation of OpenDocument attribute style:text-align-source.

Enum Constant Summary
`FIX`
`VALUE_TYPE`

Method Summary
`static OdfTextAlignSourceType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextAlignSourceType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextAlignSourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextAlignSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VALUE_TYPE

    public static final OdfTextAlignSourceType VALUE_TYPE

### FIX

    public static final OdfTextAlignSourceType FIX

Method Detail

### values

    public static OdfTextAlignSourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextAlignSourceType c : OdfTextAlignSourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextAlignSourceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextAlignSourceType>`
  Returns:
    return the name of OdfTextAlignSourceType

### toString

    public static String toString(OdfTextAlignSourceType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextAlignSourceType, see style:text-align-source
  Returns:
    return the name of OdfTextAlignSourceType

### enumValueOf

    public static OdfTextAlignSourceType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextAlignSourceType
  Returns:
    return the constant of OdfTextAlignSourceType, see style:text-align-source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.